/**
 * generated by Xtext 2.17.0
 */
package org.xtext.example.mydsl.scheme;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Conditional</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.mydsl.scheme.Conditional#getCond <em>Cond</em>}</li>
 *   <li>{@link org.xtext.example.mydsl.scheme.Conditional#getTruthy <em>Truthy</em>}</li>
 *   <li>{@link org.xtext.example.mydsl.scheme.Conditional#getFalsy <em>Falsy</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.mydsl.scheme.SchemePackage#getConditional()
 * @model
 * @generated
 */
public interface Conditional extends Command
{
  /**
   * Returns the value of the '<em><b>Cond</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Cond</em>' containment reference.
   * @see #setCond(Any)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getConditional_Cond()
   * @model containment="true"
   * @generated
   */
  Any getCond();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Conditional#getCond <em>Cond</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Cond</em>' containment reference.
   * @see #getCond()
   * @generated
   */
  void setCond(Any value);

  /**
   * Returns the value of the '<em><b>Truthy</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Truthy</em>' containment reference.
   * @see #setTruthy(Any)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getConditional_Truthy()
   * @model containment="true"
   * @generated
   */
  Any getTruthy();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Conditional#getTruthy <em>Truthy</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Truthy</em>' containment reference.
   * @see #getTruthy()
   * @generated
   */
  void setTruthy(Any value);

  /**
   * Returns the value of the '<em><b>Falsy</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Falsy</em>' containment reference.
   * @see #setFalsy(Any)
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getConditional_Falsy()
   * @model containment="true"
   * @generated
   */
  Any getFalsy();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.scheme.Conditional#getFalsy <em>Falsy</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Falsy</em>' containment reference.
   * @see #getFalsy()
   * @generated
   */
  void setFalsy(Any value);

} // Conditional
